# Prestashop gateway payphone

## Contributing

PrestaShop modules are open source extensions to the [PrestaShop e-commerce platform][prestashop]. Everyone is welcome and even encouraged to contribute with their own improvements!

## License

##PAYPHONE
## Cómo probar el módulo
Se debe comprimir la carpeta principal con el mismo nombre como un archivo .zip para subirlo desde el panel administrativo de prestashop en Módulos/Administrador de modulos
 
## Cómo configurar el proyecto desarrollo 
Se deben cambiar las configuraciones en el archivo prestashopgatewaypayphone\lib\Configuration.php
    public $ApiPath = "https://pay-cell02.azurewebsites.net/";
    public $ppbCssJs = "http://localhost:3000/public/payphone-payment-box"; // Ubicación de los compilados de la cajita de pagos .css y .js
 
## Cómo configurar el proyecto certificación
Se deben cambiar las configuraciones en el archivo prestashopgatewaypayphone\lib\Configuration.php
    public $ApiPath = "https://payphone-pay2.azurewebsites.net/";
    public $ppbCssJs = "https://cdn-uat.payphonetodoesposible.com/box/v1.2/payphone-payment-box"; // Ubicación de los compilados de la cajita de pagos .css y .js
 
## Cómo configurar el proyecto producción
Se deben cambiar las configuraciones en el archivo prestashopgatewaypayphone\lib\Configuration.php
    public $ApiPath = "https://pay.payphonetodoesposible.com/";
    public $ppbCssJs = "https://cdn.payphonetodoesposible.com/box/v1.1/payphone-payment-box"; // Ubicación de los compilados de la cajita de pagos .css y .js
 
## Cómo publicar
1. Publicar los archivos en la página oficial de ecommerce:
    Configuration.php con las configuraciones del ambiente.
    npm install uglify-js -global     // para minify JavaScript (JS) || se lo realiza en el desarrollo no es necesario por parte de ecommerce
    Ejecutar el comando: uglifyjs views/js/ppb-ps.js -o views/js/ppb.js --compress --comments none --mangle  // No es necesario por parte de ecommerce
    en la carpteta que se va a subir eliminar archivo views\js\ppb-ps.js // No subir los cambios a la rama sin el archivo.
    Comprimir la carpeta como .zip